package models

import "go-admin/common/models"

type LineOrderReduceStrategy struct {
	models.Model

	OrderId          int    `json:"orderId" gorm:"type:bigint;not null;comment:订单ID"`
	ReduceStrategyId int    `json:"reduceStrategyId" gorm:"type:bigint;not null;comment:减仓策略ID"`
	ItemContent      string `json:"itemContent" gorm:"type:text;not null;comment:策略明细json"`
	Actived          int    `json:"actived" gorm:"type:tinyint;comment:"是否已减仓 1=已减仓 2=未减仓""`
	models.ModelTime
	models.ControlBy
}

func (LineOrderReduceStrategy) TableName() string {
	return "line_order_reduce_strategy"
}

func (e *LineOrderReduceStrategy) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *LineOrderReduceStrategy) GetId() interface{} {
	return e.Id
}
